%define upstream nicolas33
%define changeset 3b09695

Name:       offlineimap
Version:    6.3.3
Release:    %mkrel 6
Summary:    Powerful IMAP/Maildir synchronization and reader support
License:    GPLv2
Group:      Networking/Mail
Url:        https://github.com/nicolas33/%{name}
Source0:    %{upstream}-%{name}-v%{version}-0-g%{changeset}.tar.gz
BuildArch:  noarch
Buildrequires: python-devel >= %{pyver}
Requires:   python(abi) >= %{pyver}

%description
OfflineIMAP is a tool to simplify your e-mail  reading.  With
OfflineIMAP, you can read the same mailbox from multiple computers.
You get a current copy of your messages on each computer, and changes
you make one place will be visible on all other systems. For instance,
you can delete a message on your home computer, and it will appear
deleted on your work computer as well. OfflineIMAP is also useful if
you want to use a mail reader that does not have IMAP support, has poor
IMAP support, or does not provide disconnected operation.

%prep
%setup -q -n %{upstream}-%{name}-cf325d5

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPY* docs/ README.rst
%doc offlineimap.conf*
%{_bindir}/offlineimap
%{py_puresitedir}/offlineimap
%{py_puresitedir}/*.egg-info




%changelog
* Mon May 09 2011 shikamaru <shikamaru> 6.3.3-6.mga1
+ Revision: 96601
- new version 6.3.3

* Sun Feb 27 2011 shikamaru <shikamaru> 6.2.0-6.mga1
+ Revision: 61131
- imported package offlineimap


* Sun Feb 27 2011 Rémy Clouard <shikamaru@mandriva.org> 6.2.0-6.mga1
- sanitize spec
- fix license
- fix url
- fix source0
- fix requires

* Mon Nov 08 2010 Jérôme Quelin <jquelin@mandriva.org> 6.2.0-5mdv2011.0
+ Revision: 595108
- rebuild for new python

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 6.2.0-4mdv2011.0
+ Revision: 590159
- rebuild for python 2.7

* Thu Aug 13 2009 Frederik Himpe <fhimpe@mandriva.org> 6.2.0-3mdv2010.0
+ Revision: 416206
- Update to new version 6.2.0

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 4.0.15-3mdv2009.1
+ Revision: 325774
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.0.15-2mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 4.0.15-2mdv2007.0
+ Revision: 95749
- rebuild for new python
- update to 4.0.15
- use %%mkrel and python macros
- Import offlineimap

